ONVIF::Media::Types::TrackAttributes(3)

NAME
ONVIF::Media::Types::TrackAttributes

DESCRIPTION
Perl data type class for the XML Schema defined complexType TrackAttributes from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TrackInformation

•   VideoAttributes

•   AudioAttributes

•   MetadataAttributes

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::TrackAttributes
   TrackInformation =>  { # ONVIF::Media::Types::TrackInformation
     TrackToken => $some_value, # TrackReference
     TrackType => $some_value, # TrackType
     Description => $some_value, # Description
     DataFrom =>  $some_value, # dateTime
     DataTo =>  $some_value, # dateTime
   },
   VideoAttributes =>  { # ONVIF::Media::Types::VideoAttributes
     Bitrate =>  $some_value, # int
     Width =>  $some_value, # int
     Height =>  $some_value, # int
     Encoding => $some_value, # VideoEncoding
     Framerate =>  $some_value, # float
   },
   AudioAttributes =>  { # ONVIF::Media::Types::AudioAttributes
     Bitrate =>  $some_value, # int
     Encoding => $some_value, # AudioEncoding
     Samplerate =>  $some_value, # int
   },
   MetadataAttributes =>  { # ONVIF::Media::Types::MetadataAttributes
     CanContainPTZ =>  $some_value, # boolean
     CanContainAnalytics =>  $some_value, # boolean
     CanContainNotifications =>  $some_value, # boolean
   },
   Extension =>  { # ONVIF::Media::Types::TrackAttributesExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL